[arch-commits] Commit in libffi/repos (4 files)

Ionut Biru ibiru at archlinux.org
Sat Oct 1 21:24:24 EDT 2011


    Date: Saturday, October 1, 2011 @ 21:24:24
  Author: ibiru
Revision: 139471

db-move: moved libffi from [extra] to [core] (x86_64)

Added:
  libffi/repos/core-x86_64/
  libffi/repos/core-x86_64/PKGBUILD
    (from rev 139469, libffi/repos/extra-x86_64/PKGBUILD)
  libffi/repos/core-x86_64/libffi.install
    (from rev 139469, libffi/repos/extra-x86_64/libffi.install)
Deleted:
  libffi/repos/extra-x86_64/

----------------+
 PKGBUILD       |   27 +++++++++++++++++++++++++++
 libffi.install |   20 ++++++++++++++++++++
 2 files changed, 47 insertions(+)

Copied: libffi/repos/core-x86_64/PKGBUILD (from rev 139469, libffi/repos/extra-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2011-10-02 01:24:24 UTC (rev 139471)
@@ -0,0 +1,27 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libffi
+pkgver=3.0.10
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions"
+arch=('i686' 'x86_64')
+url="http://sourceware.org/libffi"
+license=('MIT')
+depends=('glibc')
+options=('!libtool')
+install=libffi.install
+source=(ftp://sourceware.org/pub/libffi/libffi-${pkgver}.tar.gz)
+md5sums=('79390673f5d07a8fb342bc09b5055b6f')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: libffi/repos/core-x86_64/libffi.install (from rev 139469, libffi/repos/extra-x86_64/libffi.install)
===================================================================
--- core-x86_64/libffi.install	                        (rev 0)
+++ core-x86_64/libffi.install	2011-10-02 01:24:24 UTC (rev 139471)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libffi.info.gz)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list